package org.processmining.ptconversions.yawl;

import java.io.BufferedWriter;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.OutputStreamWriter;

import org.processmining.contexts.uitopia.UIPluginContext;
import org.processmining.contexts.uitopia.annotations.UIExportPlugin;
import org.processmining.framework.plugin.PluginContext;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.framework.plugin.annotations.PluginVariant;

@Plugin(name = "YAWL Org Data Export", returnLabels = {}, returnTypes = {}, parameterLabels = { "YAWL Org Data",
"File" }, userAccessible = true)
@UIExportPlugin(description = "YAWL Org Data files", extension = "ybkp")
public class ExportYAWLOrgData {
	@PluginVariant(variantLabel = "YAWL Org Data Export", requiredParameterLabels = { 0, 1 })
	public void exportDefault(UIPluginContext context, YAWLOrgData yawlOrgData, File file) throws IOException {
		exportPrivate(context, yawlOrgData, file);
	}
	
	public void exportDefault(PluginContext context, YAWLOrgData yawlOrgData, File file) throws IOException {
		exportPrivate(context, yawlOrgData, file);
	}

	private void exportPrivate(PluginContext context, YAWLOrgData yawlOrgData, File file)
			throws IOException {
		BufferedWriter bw = new BufferedWriter(new OutputStreamWriter(new FileOutputStream(file)));
		bw.write(yawlOrgData.getXML());
		bw.close();
	}
}
